//
// © 2018-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation

class BluetoothDisplayableWrapper: NSObject, MasterViewControllerDisplayable, MasterViewControllerDisplayablePlayerChild {
    weak var parent: MasterViewControllerDisplayable?
    var name: String
    let children = [MasterViewControllerDisplayable] ()
    let depth: UInt
    let btAddress: String
    let playerID: String
    var available: Bool

    init(name: String,
         btAddress: String,
         playerID: String,
         depth: UInt,
         available: Bool) {
        self.name = name
        self.depth = depth
        self.btAddress = btAddress
        self.playerID = playerID
        self.available = available
    }

    var id: String {
        return "BT:" + playerID + "-" + btAddress
    }

    var stateDescription: [String] {
        return []
    }

    var encapsulatedType: MasterViewControllerDisplayableType {
        return .bluetoothHeadphone
    }
}
